<?php
class MySQL{
	
	private $total_consultas;
	private $conexion;
	private $servidor="localhost";
	private $clave="root";
	private $contrasena="123";
	private $bd="wreplyco_app";
	private $adiciono_campo;
	private $adiciono_tabla;
	private $elimino_bd;
	
	
	public function MySQL(){

		if(!isset($this->conexion)){
			$this->conexion=(mysqli_connect($this->servidor,$this->clave,$this->contrasena,$this->bd))
			or die(mysqli_error($this->conexion));			
			}
		}
		public function __destruct(){		
		}
		
		public function metodos($consulta){
		$this->total_consultas++;
		$resultado=mysqli_query($this->conexion,$consulta);
		if(!$resultado){
			echo 'MySQL error:'.mysqli_error($resultado);
			exit;
			}
			return $resultado;		
		}	
		
		public function consulta($consulta){
		$this->total_consultas++;
		$resultado=mysqli_query($this->conexion,$consulta);
		if(!$resultado){
			echo 'MySQL error:'.mysqli_error($resultado);
			exit;
			}
			return $resultado;		
		}	
		
	   public function cerrarconsulta($consulta){
		mysqli_free_result($consulta);
		}	
		
       public function fetch_array($consulta){
		   return mysqli_fetch_array($consulta);		   
		   }
	    public function fetch_assoc($consulta){
		   return mysqli_fetch_assoc($consulta);		   
		   }	   
		   
		public function num_rows($consulta){				
			return mysqli_num_rows($consulta);			
			}
			
		public function TotalConsultas(){
        return $this->total_consultas; 
		}			
		public function EscaparCadenas($cadena){
			return mysqli_real_escape_string($this->conexion,$cadena);
			}
		
		public function cerrarconexion(){			
			mysqli_close($this->conexion);			
			}
	
}//fin de la clase

?>
